#include "virgilio.h"
#include <stdio.h>
#include <stdlib.h>


//
//Esempio compilazione linux:  g++ -o prog.bin virgilio_example.cpp -lEngineSMS -lpthread
//
// pthread  necessario per vodafone
//
// username  rappresentata dal nome fino alla chiocciola (esclusa)
// phone deve essere preceduta, come nell'esempio, dal prefisso internazionale con il '+'
//
// Uso: ./prog.bin username password "+393281122334" "Ciao da Linux World"



int main(int argc, char **argv)
{
    if (argc != 5) {
       fprintf(stderr, "\nUsage: %s username password phone message\n", argv[0]);
       exit(EXIT_FAILURE);
    }
    
    bool retVal;

    retVal = virgilio_init_account(argv[1], argv[2], "virgilio.it");

    if (retVal) {
       printf("\nAutenticazione avvenuta!\nInvio sms in corso verso %s...", argv[3]);
       retVal = virgilio_send_sms(argv[3], argv[4]);
       if (retVal)
          printf("ESEGUITO!\n");
       else
	  printf("ERRORE!\n");
    }
    else 
       fprintf(stderr, "\nProblemi durante l'autenticazione!");
    return (EXIT_SUCCESS);
}
    
    
